«Your PHP Version is <...>, but always_populate_raw_post_data = 0»

мастер-установки
сбой
php
0.74-beta7

(Дмитрий Федюк) #1

На шаге «Readiness Check» мастера установки Magento 2 Вы можете получить диагностическое сообщение:

Completed! You need to resolve these issues to continue.
PHP Settings Check

Your PHP Version is <Ваша версия PHP>, but always_populate_raw_post_data = 0. Hide detail

$HTTP_RAW_POST_DATA is deprecated from PHP 5.6 onwards and will stop the installer from running. Please open your php.ini file and set always_populate_raw_post_data to -1.

If you need more help please call your hosting provider.

Для устранения этого сбоя надо в файле настроек интерпретатора PHP (php.ini) для опции always_populate_raw_post_data установить значение -1:

always_populate_raw_post_data = -1

Если опция always_populate_raw_post_data в php.ini отсутствует, то её надо добавить.
После редактирования файла php.ini надо перезапустить веб-сервер и запустить мастер установки Magento 2 заново.

После этого сбоя быть не должно: